FROM openjdk:11
MAINTAINER Sarapin Gleb <sarapin.gleb@gmail.ru>

EXPOSE 8080
ARG JAR=./target/dg-server-0.0.1.jar
ADD ${JAR} app.jar

ENV PROFILE dev

ENV SPA_ORIGIN_HOST value
ENV SPA_ORIGIN_PORT value

ENV JWT_SECRET value

ENV POSTGRES_USER value
ENV POSTGRES_PASSWORD value
ENV DB_HOST value
ENV DB_PORT value
ENV DB_NAME value

ENV MAIL_SERVICE_USER value
ENV MAIL_SERVICE_PASSWORD value

ENV SMS_BROKER_LOGIN value
ENV SMS_BROKER_PASSWORD value

ENV VK_CLIENT_ID value
ENV VK_CLIENT_SECRET value

ENV TINKOFF_TERMINAL_KEY value
ENV TINKOFF_PASSWORD value
ENV TINKOFF_ACQUIRING_SECONDS_FROM_LAST_STATUS_CHANGE 600
ENV TINKOFF_ACQUIRING_SECONDS_FROM_CREATION 3600

ENV S3_ACCESS_KEY value
ENV S3_SECRET_KEY value

ENV BLOCKING_PERMANENT_MAX_SOLUTIONS_IN_HOUR 15
ENV BLOCKING_PERMANENT_MIN_SOLUTION_TIME_PERCENTAGE 3
ENV BLOCKING_PERMANENT_MAX_SOLUTIONS_IN_DAY 15
ENV BLOCKING_TEMPORARY_MAX_SOLUTIONS_IN_DAY 5
ENV BLOCKING_TEMPORARY_MIN_SOLUTION_TIME_PERCENTAGE 10
ENV BLOCKING_TEMPORARY_MIN_CONCLUSION_WORDS 50

ENV MIXPANEL_TOKEN value

CMD java -Dspring.profiles.active=$PROFILE -jar app.jar